Commit f32b37b8 authored by Christopher Huhn's avatar Christopher Huhn
Browse files

fai-setup/fai-make-nfsroot need option '-l' to create fai-cd compatible nfsroots with FAI 4

parent d1a1b921
......@@ -4,5 +4,5 @@ maintainer_email "hpc@gsi.de"
license "All rights reserved"
description "Installs/Configures fai"
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
version "0.8.2"
version "0.8.3"
depends "nfs"
......@@ -107,7 +107,7 @@ node.fai.flavors.each do |f, config|
source "NFSROOT.erb"
variables(
:extra_pkgs => pkgs,
:install_action => ((codename == 'stretch')?'install':nil)
:install_action => ((codename == 'stretch')?'install':nil) #' stupid emacs
)
mode 0644
notifies :run, "execute[update-#{f}-nfsroot]"
......@@ -121,7 +121,8 @@ node.fai.flavors.each do |f, config|
only_if { File.exist?(nfs_dir) && node['fai']['handle_nfsroots'] }
end
execute "fai-setup -C #{configdir}" do
# -l option is required for fai-cd with FAI <= 4.*
execute "fai-setup -C #{configdir} #{'-l' if config['liveboot']}" do
action :run
creates nfs_dir
only_if { node['fai']['handle_nfsroots'] }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment